/** \file display.h
 * Definitions for high level display.
 */

#ifndef DISPLAY_H
#define DISPLAY_H

#define DS_STATIC 0
#define DS_TEXT 1
#define DS_NUMERIC 2
#define DS_PERCENTAGE 3
#define DS_NO_YES 4
#define DS_ARROWS 5
#define DS_RAWTEXT 6


#define DS_TEXTLENGTH 50


extern volatile xdata signed char displayPosition;
extern xdata char displayTitle[16];
extern xdata char displayText[DS_TEXTLENGTH+1];
extern xdata char displayLength;
extern xdata char displayStyle;
extern xdata char displayValue;

char InitDisplay(char style, char *title, char *text, int value);
void UpdateDisplay();

#endif

